#!/bin/sh

mypath=${0%/*}

export PATH=$mypath:$PATH
echo "`$mypath/getIMEI`" > $mypath/imei.txt
imei=`cat $mypath/imei.txt | grep 'imei: ' | sed 's/imei: //'`
phone_db=/ezxlocal/download/appwrite/am/InstalledDB
mmca1_db=/mmc/mmca1/.system/java/CardRegistry
sys_java=/ezxlocal/download/mystuff/.system/java/SystemApps
phone_java=/ezxlocal/download/mystuff/.system/java/DownloadApps
mmc_java=/mmc/mmca1/.system/java_$imei/DownloadApps
#phone______________________________________________________________________________
if [ -f $phone_db ]
then
	phone_names=`cat $phone_db | grep '^Name = ' | sed 's/^Name = //' | sed 's/ /_/g'`
	phone_ids=`cat $phone_db | grep '^JavaId = ' | sed 's/^JavaId = //'`
	phone_num=`cat $phone_db | grep '^Name ' | sed 's/^Name //' | sed 's/ /_/g'`
    phone_id=`cat $phone_db | grep '^JavaId ' | sed 's/^JavaId //' | sed 's/ /_/g'`
fi
echo "$phone_num" > $mypath/phone_num.txt
nump=`grep -c '=' $mypath/phone_num.txt`
echo "$nump" > $mypath/nump.txt
echo "$phone_id" > $mypath/phone_id.txt
#icon_phone_________________________________________________________________________
iconnum=0
cat $mypath/phone_id.txt | while read line
do
   echo "$line" | grep -q -E "^#|^\s*$" || echo "$line" > $mypath/ids.txt
   javaids=`cat $mypath/ids.txt | grep '=_' | sed 's/=_//' | sed 's/ //g'`
   javaloc1="$sys_java/MIDlet00$javaids/Files"
   javaloc2="$phone_java//MIDlet00$javaids/Files"
   iconnum=$((iconnum+1))   

   if [ -f $javaloc1/MIDlet-1.png ]; then
       cp $javaloc1/MIDlet-1.png $mypath/$iconnum.png 
   elif [ -f $javaloc2/MIDlet-1.png ]; then
       cp $javaloc2/MIDlet-1.png $mypath/$iconnum.png
   elif [ -f $javaloc1/suiteicon.png ]; then
       cp $javaloc1/suiteicon.png $mypath/$iconnum.png  
   else
       cp $javaloc2/suiteicon.png $mypath/$iconnum.png
   fi
   cat $mypath/settings.cfg | sed "s/Icon$iconnum = .*/Icon$iconnum = $iconnum.png/ " > /tmp/setting.txt
   mv -f /tmp/setting.txt $mypath/settings.cfg
   rm /tmp/setting.txt
done
#name_phone_________________________________________________________________________
switch=0
cat $mypath/phone_num.txt | while read line
do
   echo "$line" | grep -q -E "^#|^\s*$" || echo "$line" > $mypath/name.txt
   javaname=`cat $mypath/name.txt | grep '=_' | sed 's/=_//' | sed 's/ //g'`
   switch=$((switch+1))
    cat $mypath/settings.cfg | sed "s/Option$switch = .*/Option$switch = $javaname/ " > /tmp/setting.txt
   mv -f /tmp/setting.txt $mypath/settings.cfg
   rm /tmp/setting.txt
done
#mmc________________________________________________________________________________
if [ -f $mmca1_db ]
then
	mmca1_names=`cat $mmca1_db | grep '^Name = ' | sed 's/^Name = //' | sed 's/ /_/g'`
	mmca1_ids=`cat $mmca1_db | grep '^JavaId = ' | sed 's/^JavaId = //'`
	mmca1_num=`cat $mmca1_db | grep '^Name ' | sed 's/^Name //' | sed 's/ /_/g'`
	mmca1_id=`cat $mmca1_db | grep '^JavaId ' | sed 's/^JavaId //' | sed 's/ /_/g'`
fi

echo "$mmca1_num" > $mypath/mmca1_num.txt
numm=`grep -c '=' $mypath/mmca1_num.txt`
echo "$numm" > $mypath/numm.txt
echo "$mmca1_id" > $mypath/mmca1_id.txt

#name_mmc___________________________________________________________________________
s=`cat $mypath/nump.txt`
cat $mypath/mmca1_num.txt | while read line
do
   echo "$line" | grep -q -E "^#|^\s*$" || echo "$line" > $mypath/name.txt
   javaname=`cat $mypath/name.txt | grep '=_' | sed 's/=_//' | sed 's/ //g'`
     
   s=$((s+1))
   cat $mypath/settings.cfg | sed "s/Option$s = .*/Option$s = $javaname/ " > /tmp/setting.txt
   mv -f /tmp/setting.txt $mypath/settings.cfg
   rm /tmp/setting.txt
done


#sum_______________________________________________________________________________
num=$(($nump+$numm))
cat $mypath/settings.cfg | sed "s/Items = .*/Items = $num/ " > /tmp/setting.txt
mv -f /tmp/setting.txt $mypath/settings.cfg
rm /tmp/setting.txt

while [ $num -ne 0 ]
do
   shname="$num.sh"
   cp -f $mypath/example.sh $mypath/$shname
   input="$num.sh"
   cat $mypath/settings.cfg | sed "s/Exec$num = .*/Exec$num = $input/ " > /tmp/setting.txt
   mv -f /tmp/setting.txt $mypath/settings.cfg
   rm /tmp/setting.txt
   num=$((num-1))
done


#icon_mmc__________________________________________________________________________
iconnum=$nump
cat $mypath/mmca1_id.txt | while read line
do
   echo "$line" | grep -q -E "^#|^\s*$" || echo "$line" > $mypath/ids.txt
   javaids=`cat $mypath/ids.txt | grep '=_' | sed 's/=_//' | sed 's/ //g'`
   javaloc="$mmc_java/MIDlet$javaids/Files"
   iconnum=$((iconnum+1))
   if [ -f $javaloc/MIDlet-1.png ]; then
       cp $javaloc/MIDlet-1.png $mypath/$iconnum.png
   else
       cp $javaloc/suiteicon.png $mypath/$iconnum.png
   fi
   cat $mypath/settings.cfg | sed "s/Icon$iconnum = .*/Icon$iconnum = $iconnum.png/ " > /tmp/setting.txt
   mv -f /tmp/setting.txt $mypath/settings.cfg
   rm /tmp/setting.txt
done

#launch_____________________________________________________________________________________
exec $mypath/javabox

